import React, { Component } from 'react';
import {Link} from "react-router-dom";
import Highcharts from 'highcharts'
import HighchartsReact from 'highcharts-react-official' ;
function CustomHeader(props) {
 
  if(props.myValue.customDashboardPopup==true){
        return ( 
            <div className="container-head">
                {/* <Link to="/customDashboard/[Flights]_Flight_Count_and_Average_Ticket_Price" style={{textDecoration:"none"}}>
                <div>[Flights] Flight Count and Average Ticket Price</div>
                </Link>
                <Link to="/customDashboard/[Logs]_Unique_Visitors_vs._Average_Bytes" style={{textDecoration:"none"}}>
                <div>[Logs] Unique Visitors vs. Average Bytes</div>
                </Link>
                <Link to="/cusotmDashboard/[eCommerce]_Average_Sales_Price" style={{textDecoration:"none"}}>
                <div>[eCommerce] Average Sales Price</div>
                </Link>
                <Link to="/customDashboard/[eCommerce]Promotion_Tracking" style={{textDecoration:"none"}}>
                <div>[eCommerce] Promotion Tracking</div>
                </Link>
                <Link to="/customDashboard/customVisualization" style={{textDecoration:"none"}}>
                    <div>Custom Visulization</div>
                </Link> */}
                  <iframe src="http://localhost:5601/app/kibana#/visualize/edit/4b3ec120-b892-11e8-a6d9-e546fe2bba5f?embed=true&_g=(refreshInterval:(pause:!f,value:900000),time:(from:now-7d,to:now))&_a=(filters:!(),linked:!f,query:(language:kuery,query:''),uiState:(vis:(defaultColors:('0+-+50':'rgb(165,0,38)','50+-+75':'rgb(255,255,190)','75+-+100':'rgb(0,104,55)'))),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'average+spend',field:taxful_total_price),schema:metric,type:avg)),params:(addLegend:!t,addTooltip:!t,gauge:(alignment:horizontal,backStyle:Full,colorSchema:'Green+to+Red',colorsRange:!((from:0,to:50),(from:50,to:75),(from:75,to:100)),extendRange:!t,gaugeColorMode:Labels,gaugeStyle:Full,gaugeType:Circle,invertColors:!t,labels:(color:black,show:!t),maxAngle:6.283185307179586,minAngle:0,orientation:vertical,percentageMode:!f,scale:(color:%23333,labels:!f,show:!f),style:(bgColor:!f,bgFill:%23eee,bgMask:!f,bgWidth:0.9,fontSize:60,labelColor:!t,mask:!f,maskBars:50,subText:'per+order',width:0.9),type:meter),isDisplayWarning:!f,type:gauge),title:'%5BeCommerce%5D+Average+Sales+Price',type:gauge))" height="350" width="800"></iframe>
                  <iframe src="http://localhost:5601/app/kibana#/visualize/edit/e1d0f010-9ee7-11e7-8711-e7a007dcef99?embed=true&_g=(refreshInterval:(pause:!f,value:900000),time:(from:now-7d,to:now))&_a=(filters:!(),linked:!f,query:(language:kuery,query:''),uiState:(vis:(colors:('Avg.+Bytes':%2370DBED,'Unique+Visitors':%230A437C))),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Avg.+Bytes',field:bytes),schema:metric,type:avg),(enabled:!t,id:'2',params:(customLabel:'Unique+Visitors',field:clientip),schema:metric,type:cardinality),(enabled:!t,id:'3',params:(drop_partials:!f,extended_bounds:(),field:timestamp,interval:auto,min_doc_count:1,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'4',params:(),schema:radius,type:count)),params:(addLegend:!t,addTimeMarker:!f,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!f,style:(color:%23eee)),legendPosition:right,radiusRatio:17,seriesParams:!((data:(id:'1',label:'Avg.+Bytes'),drawLinesBetweenPoints:!t,interpolate:linear,mode:stacked,show:true,showCircles:!t,type:histogram,valueAxis:ValueAxis-1),(data:(id:'2',label:'Unique+Visitors'),drawLinesBetweenPoints:!f,interpolate:linear,mode:stacked,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-2)),times:!(),type:area,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'Avg.+Bytes'),type:value),(id:ValueAxis-2,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:RightAxis-1,position:right,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'Unique+Visitors'),type:value))),title:'%5BLogs%5D+Unique+Visitors+vs.+Average+Bytes',type:area))" height="350" width="800"></iframe>
                  {/* <iframe src="http://localhost:5601/app/kibana?security_tenant=private#/visualize/edit/314c6f60-2224-11e8-b802-5bcf64c2cfb4?embed=true&_g=()&_a=(filters:!(),linked:!f,query:(language:kuery,query:''),uiState:(),vis:(aggs:!(),params:(annotations:!((color:'rgba(211,49,21,1)',fields:'geo.src,+host',icon:fa-asterisk,id:bd7548a0-2223-11e8-832f-d5027f3c8a47,ignore_global_filters:1,ignore_panel_filters:1,index_pattern:kibana_sample_data_logs,query_string:'tags:error+AND+tags:security',template:'Security+Error+from+%7B%7Bgeo.src%7D%7D+on+%7B%7Bhost%7D%7D',time_field:timestamp)),axis_formatter:number,axis_position:left,axis_scale:normal,drop_last_bucket:0,id:'61ca57f0-469d-11e7-af02-69e470af7417',index_pattern:kibana_sample_data_logs,interval:%3E%3D4h,legend_position:bottom,series:!((axis_position:right,chart_type:line,color:'rgba(115,216,255,1)',fill:'0.5',formatter:percent,id:'61ca57f1-469d-11e7-af02-69e470af7417',label:'Response+Code+Count',line_width:'2',metrics:!((field:ip,id:'61ca57f2-469d-11e7-af02-69e470af7417',type:cardinality)),point_size:'0',seperate_axis:0,split_color_mode:gradient,split_mode:terms,stacked:percent,terms_field:response.keyword,terms_order_by:'61ca57f2-469d-11e7-af02-69e470af7417')),show_grid:1,show_legend:1,time_field:timestamp,type:timeseries),title:'%5BLogs%5D+Response+Codes+Over+Time+%2B+Annotations',type:metrics))" height="600" width="800"></iframe>                    */}
                   {/* <iframe src="http://localhost:5601/app/kibana#/visualize/edit/c8fc3d30-4c87-11e8-b3d7-01146121b73d?embed=true&_g=(refreshInterval:(pause:!f,value:900000),time:(from:'2019-09-10T18:19:34.283Z',to:'2019-09-10T18:38:06.309Z'))&_a=(filters:!(),linked:!f,query:(language:kuery,query:''),uiState:(vis:(colors:('Average+Ticket+Price':%23629E51,'Flight+Count':%23AEA2E0),legendOpen:!t)),vis:(aggs:!((enabled:!t,id:'3',params:(drop_partials:!f,extended_bounds:(),field:timestamp,interval:auto,min_doc_count:1,useNormalizedEsInterval:!t),schema:segment,type:date_histogram),(enabled:!t,id:'5',params:(customLabel:'Flight+Count'),schema:metric,type:count),(enabled:!t,id:'4',params:(customLabel:'Average+Ticket+Price',field:AvgTicketPrice),schema:metric,type:avg),(enabled:!t,id:'2',params:(field:AvgTicketPrice),schema:radius,type:avg)),params:(addLegend:!t,addTimeMarker:!f,addTooltip:!t,categoryAxes:!((id:CategoryAxis-1,labels:(show:!t,truncate:100),position:bottom,scale:(type:linear),show:!t,style:(),title:(),type:category)),grid:(categoryLines:!f,style:(color:%23eee)),legendPosition:right,radiusRatio:13,seriesParams:!((data:(id:'5',label:'Flight+Count'),drawLinesBetweenPoints:!t,interpolate:linear,lineWidth:2,mode:stacked,show:!t,showCircles:!f,type:area,valueAxis:ValueAxis-2),(data:(id:'4',label:'Average+Ticket+Price'),drawLinesBetweenPoints:!f,interpolate:linear,lineWidth:2,mode:stacked,show:!t,showCircles:!t,type:line,valueAxis:ValueAxis-1)),times:!(),type:area,valueAxes:!((id:ValueAxis-1,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:LeftAxis-1,position:left,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'Average+Ticket+Price'),type:value),(id:ValueAxis-2,labels:(filter:!f,rotate:0,show:!t,truncate:100),name:RightAxis-1,position:right,scale:(mode:normal,type:linear),show:!t,style:(),title:(text:'Flight+Count'),type:value))),title:'%5BFlights%5D+Flight+Count+and+Average+Ticket+Price',type:area))" height="350" width="800"></iframe> */}
                   <iframe src="http://localhost:5601/app/kibana?security_tenant=private#/visualize/edit/01c413e0-5395-11e8-99bf-1ba7b1bdaa61?embed=true&_g=(refreshInterval:(pause:!f,value:900000),time:(from:'Sat+Nov+09+2019+11:40:23+GMT%2B0530',to:'Sat+Nov+09+2019+11:51:23+GMT%2B0530'))&_a=(filters:!(),linked:!f,query:(language:kuery,query:''),uiState:(),vis:(aggs:!((enabled:!t,id:'1',params:(customLabel:'Total+Flights'),schema:metric,type:count)),params:(addLegend:!f,addTooltip:!t,metric:(colorSchema:'Green+to+Red',colorsRange:!((from:0,to:10000)),invertColors:!f,labels:(show:!t),metricColorMode:None,percentageMode:!f,style:(bgColor:!f,bgFill:%23000,fontSize:36,labelColor:!f,subText:''),useRanges:!f),type:metric),title:'%5BFlights%5D+Total+Flights',type:metric))" height="350" width="800"></iframe>
                    <HighchartsReact highcharts={Highcharts} options={props.myValue.chartOptions}/>
            </div>
         );
        }
        else return false;
    
}
 
export default CustomHeader;